Which CMS to use?

Anderson Lizardo lizardo at linuxfromscratch.org
Sat Jan 10 15:26:43 PST 2004


On Saturday 10 January 2004 18:24, Gerard Beekmans wrote:
> Sure you can run it no problem. Let me know what you need added to
> Apache.

Good! Unfortunately, while reading the Zope docs, I discovered that to setup 
Zope to use Apache as a gateway, we need mod_proxy, distributed with Apache 
(but not installed by default). I see the server currently does not have this 
module installed... Is there a way to install it? If not, another alternative 
is to run Zope standalone.

Tip: I don't know if there is an easier way to install an Apache module 
without recompile/reinstall it, but what I did was the following:

- Unpack the apache package (I use version 2.0.46)

./configure --enable-proxy --enable-mods-shared=proxy &&
make -C modules/proxy shared-build &&
srclib/apr/libtool --silent --mode=install cp modules/proxy/mod_proxy*.la \ 
/usr/lib/apache &&
srclib/apr/libtool --finish /usr/lib/apache &&
rm /usr/lib/apache/*.{a,la}

Now the httpd.conf lines:

# Modules needed to do proxy/gateway
LoadModule proxy_module lib/apache/mod_proxy.so
LoadModule proxy_http_module lib/apache/mod_proxy_http.so

That's it.
-- 
Anderson Lizardo
lizardo at linuxfromscratch.org
http://www.linuxfromscratch.org/




More information about the website mailing list